Bug 1365722 - Clipboard text boxes on deployment details page and build configuration page are editable
Summary: Clipboard text boxes on deployment details page and build configuration page ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Jessica Forrester
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 03:23 UTC by Wang Haoran
Modified: 2016-09-19 12:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 12:55:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Wang Haoran 2016-08-10 03:23:32 UTC
Description of problem:

 Clipboard text boxes on deployment details page and build configuration page are editable
 
Version-Release number of selected component (if applicable):
openshift v3.3.0.17
kubernetes v1.3.0+507d3a7
etcd 2.3.0+git


How reproducible:
always

Steps to Reproduce:
1.Create a project and deploy an app
$oc new-project test
$oc new-app -fhttps://raw.githubusercontent.com/openshift/origin/master/examples/jenkins/master-slave/jenkins-master-template.json
2.Open the web console,click application -> deployments -> jenkins
3.check the "Manual (CLI)" text box
4.Check on Builds->Builds->jenkins, click "Configuration"
Actual results:
3.The text box is editable
4.All the text boxes are editable
Expected results:
3,4,the text boxes cannot be edited

Comment 1 Jessica Forrester 2016-08-11 19:07:22 UTC
merged to origin-web-console, merging to origin with https://github.com/openshift/origin/pull/10355

Comment 2 Troy Dawson 2016-08-12 19:13:01 UTC
This has been merged and is in OSE v3.3.0.19 or newer.

Comment 4 Wang Haoran 2016-08-15 08:21:37 UTC
verified with:
openshift v3.3.0.19
kubernetes v1.3.0+507d3a7
etcd 2.3.0+git


Note You need to log in before you can comment on or make changes to this bug.